
{% if pagination.getPageCount is defined and pagination.getPageCount > 1 %}
    <div class="pagination">
        {% if pagination.previousPage %}
            <a class="pagination-item-icons" href="{{ manualRoute(pagination.previousPage.url, 'pagination_prev') }}" title="previous">
                <i class="material-icons">west</i>
            </a>
        {% endif %}

        <div class="pagination-container">
            {% set batch = pagination.firstPage ? 7 : 8 %}

            {% for page_batch in pagination.pages|batch(batch) %}
                <div class="pagination-block {{ not loop.first ? 'pagination-block-bottom' : '' }}">

                    {% if loop.first and pagination.firstPage %}
                        <a class="pagination-item pagination-item-first" href="{{ manualRoute(pagination.firstPage.url, 'pagination') }}">
                            {{ pagination.firstPage.page }}
                        </a>
                    {% endif %}

                    {% for item in page_batch %}
                        {% if item.page == pagination.currentPage %}
                            <span class="pagination-item pagination-item-current">{{ item.page }}</span>
                        {% else %}
                            <a class="pagination-item" href="{{ manualRoute(item.url, 'pagination') }}">{{ item.page }}</a>
                        {% endif %}
                    {% endfor %}
                </div>
            {% endfor %}
        </div>

        {% if pagination.nextPage %}
            <a class="pagination-item-icons" href="{{ manualRoute(pagination.nextPage.url, 'pagination_next') }}" title="next">
                <i class="material-icons">east</i>
            </a>
        {% endif %}
    </div>
{% endif %}
